# Class RemoteMethodLoader

#### Hierarchy

- DefinitionLoader
  - RemoteMethodLoader

- Defined in packages/angular/remote-method/src/lib/remote-method-loader.ts:16

#####
Index

### Constructors

constructor

### Methods

call$
load

##
Constructors

### constructor

- new RemoteMethodLoader(injector: Injector): RemoteMethodLoader

  #### Parameters

  - injector: Injector

  #### Returns RemoteMethodLoader

  Inherited from DefinitionLoader.constructor

  - Defined in packages/angular/definition/src/lib/definition.loader.ts:15

##
Methods

### call$

- call$<
  ReturnType = any,
  Parameters = any,
  Metadata extends BaseRemoteMethodMetadata = BaseRemoteMethodMetadata,
  >(
  remoteMethodIdOrInstanceOrToken: IdOrInstanceOrToken<
  BaseRemoteMethod<ReturnType, Parameters, Metadata>,
  >,
  parameters: Parameters,
  metadata?: Partial<BaseRemoteMethodMetadata>,
  injector?: Injector,
  notFoundValue?: BaseRemoteMethod<ReturnType, Parameters, Metadata>,
  flags?: InjectFlags,
  ): Promise<ReturnType>

  #### Type Parameters

  - ReturnType = any
  - Parameters = any
  - Metadata extends BaseRemoteMethodMetadata = BaseRemoteMethodMetadata

  #### Parameters

  - remoteMethodIdOrInstanceOrToken: IdOrInstanceOrToken<BaseRemoteMethod<ReturnType, Parameters, Metadata>>
  - parameters: Parameters
  - `Optional` metadata: Partial<BaseRemoteMethodMetadata>
  - `Optional` injector: Injector
  - `Optional` notFoundValue: BaseRemoteMethod<ReturnType, Parameters, Metadata>
  - `Optional` flags: InjectFlags

  #### Returns Promise<ReturnType>

  - Defined in packages/angular/remote-method/src/lib/remote-method-loader.ts:18

### load

- load<Definition extends BaseDefinition<BaseDefinitionMetadata>>(
  definitionIdOrInstanceOrInjectionToken: IdOrInstanceOrToken<Definition>,
  metadata?: Partial<BaseDefinitionMetadata>,
  injector?: Injector,
  notFoundValue?: Definition,
  flags?: InjectFlags,
  ): Definition

  #### Type Parameters

  - Definition extends BaseDefinition<BaseDefinitionMetadata>

  #### Parameters

  - definitionIdOrInstanceOrInjectionToken: IdOrInstanceOrToken<Definition>
  - `Optional` metadata: Partial<BaseDefinitionMetadata>
  - injector: Injector = ...
  - `Optional` notFoundValue: Definition
  - `Optional` flags: InjectFlags

  #### Returns Definition

  Inherited from DefinitionLoader.load

  - Defined in packages/angular/definition/src/lib/definition.loader.ts:21